sparkcrawlDocs

Read crawled pages, a page of results at a time

GET
/api/v1/crawls/{id}/pages

Authorization

bearerAuth
headerAuthorizationBearer <sc_live_<43 characters>>

Organization API key created at /app/api. Scopes: scrape, crawl, search, research. The secret is shown once.

Path Parameters

id*string

Query Parameters

limit?integer
Range1 <= value <= 100
cursor?string

Response Body

Pages and optional nextCursor

application/json
  1. response
pages?array<>
nextCursor?string
Example Request
curl -X GET 'https://sparkcrawl.com/api/v1/crawls/string/pages'
Example Response
{  "pages": [    {      "id": "string",      "url": "http://example.com",      "depth": 0,      "status": "string",      "result": {        "id": "string",        "url": "http://example.com",        "finalUrl": "http://example.com",        "status": "success",        "httpStatus": 0,        "tierUsed": 0,        "htmlSource": "response",        "title": "string",        "html": "string",        "markdown": "string",        "json": {},        "structuredJson": null,        "jsonLd": [          null        ],        "screenshotBase64": "string",        "pdfBase64": "string",        "cacheHit": true,        "cacheRevalidated": true,        "etag": "string",        "cacheControl": "string",        "engine": "http",        "stage": "http_direct",        "verification": "passed",        "attempts": [          {            "id": "string",            "tier": 0,            "provider": "string",            "proxy": "string",            "status": "string",            "stage": "string",            "engine": "string",            "durationMs": 0,            "bytes": 0,            "upstreamCostUsd": 0,            "pricingStatus": "string"          }        ],        "durationMs": 0,        "bytes": 0,        "links": [          "http://example.com"        ],        "upstreamCostUsd": 0,        "pricingStatus": "known",        "customerChargeUsd": 0,        "artifacts": {          "html": "string",          "screenshot": "string",          "pdf": "string",          "json": "string"        },        "error": {          "code": "string",          "message": "string"        }      }    }  ],  "nextCursor": "string"}